<template>
    <table id="datatable-buttons" class="table table-bordered">
        <thead>
            <tr>
                <th>#</th>
                <th>Imagen</th>
                <th>Título</th>
                <!-- <th>moodle</th> -->
                <th>Precio</th>
                <!-- <th>Slug</th> -->
                <th>Status</th>
                <th>categoría</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="(curso, index) in cursos" :key="curso.id">
                <td>{{ index + 1 }}</td>
                <td>
                    <img
                        :src="curso.feature_image"
                        width="50px"
                        alt=""
                        class="img-fluid"
                    />
                </td>
                <td>{{ curso.title }}</td>
                <!-- <td>{{ curso.moodle_id }}</td> -->
                <td>{{ curso.price }}</td>
                <!-- <td>
                    <a :href="'/curso/' + curso.slug_id" target="_blank"
                        >/curso/{{ curso.slug_id }}</a
                    >
                </td> -->
                <td>
                    {{ curso.status == 1 ? "Disponible" : "No Disponible" }}
                </td>
                <td>{{ curso.categorias.name }}</td>
                <td>
                    <div
                        class="tabledit-toolbar btn-toolbar"
                        style="text-align: left;"
                    >
                        <div
                            class="btn-group btn-group-sm"
                            style="float: none;"
                        >
                            <a
                                class="tabledit-edit-button btn btn-sm btn-primary"
                                style="float: none; margin: 5px;"
                                :href="'/dashboard/curso/' + curso.id + '/edit'"
                            >
                                <span class="ti-pencil"></span></a
                            ><button
                                type="button"
                                class="tabledit-delete-button btn btn-sm btn-info"
                                style="float: none; margin: 5px;"
                                data-toggle="modal"
                                v-bind:data-target="'#deleteModal' + curso.id"
                            >
                                <span class="ti-trash"></span>
                            </button>
                        </div>
                    </div>
                </td>
                <!-- eliminar -->
                <div
                    class="modal fade"
                    v-bind:id="'deleteModal' + curso.id"
                    tabindex="-1"
                    role="dialog"
                    v-bind:aria-labelledby="'deleteModalLabel' + curso.id"
                    aria-hidden="true"
                >
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header bg-danger">
                                <h5
                                    class="modal-title "
                                    v-bind:id="'deleteModalLabel' + curso.id"
                                >
                                    Eliminar disponibilidad
                                </h5>
                                <button
                                    type="button"
                                    class="close"
                                    data-dismiss="modal"
                                    aria-label="Close"
                                >
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <p class="text-muted">
                                    ¿Seguro desea eliminar la disponibilidad del
                                    curso {{ curso.name }}?
                                </p>
                            </div>
                            <div class="modal-footer">
                                <button
                                    type="button"
                                    class="btn btn-secondary"
                                    data-dismiss="modal"
                                >
                                    Cancelar
                                </button>
                                <button
                                    type="button"
                                    class="btn btn-danger"
                                    v-on:click.prevent="deleteCurso(curso.id)"
                                >
                                    Eliminar disponibilidad
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- fin eliminar -->
            </tr>
        </tbody>
        <!-- crear curso -->
        <div
            class="modal fade"
            id="crearModal"
            tabindex="-1"
            role="dialog"
            aria-labelledby="crearModalLabel"
            aria-hidden="true"
        >
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="crearModalLabel">
                            Crear disponibilidad de curso
                        </h5>
                        <button
                            type="button"
                            class="close"
                            data-dismiss="modal"
                            aria-label="Close"
                        >
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <h4 class="text-center">
                            ¿Desea agregar disponibilidad de inscripción a un
                            nuevo curso?
                        </h4>
                    </div>
                    <div class="modal-footer text-center">
                        <button
                            type="button"
                            class="btn btn-secondary"
                            data-dismiss="modal"
                        >
                            Cerrar
                        </button>
                        <button
                            v-on:click.prevent="createCurso()"
                            type="button"
                            class="btn btn-primary"
                        >
                            Agregar disponibilidad
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <!-- fin crear curso -->
    </table>
</template>

<script>
export default {
    created: function() {
        this.get();
    },
    mounted() {},
    data() {
        return {
            cursos: [
                {
                    feature_image: "",
                    title: "",
                    moodle_id: "",
                    price: "",
                    slug_id: "",
                    slug_id: "",
                    status: "",
                    categorias: {
                        name: ""
                    }
                }
            ],
            error: "",
            urlSite: location.host
        };
    },
    methods: {
        seturl: () => {},
        get: function() {
            var url = "/api/cursos/curso";
            axios
                .get(url)
                .then(res => {
                    this.cursos = res.data;
                })
                .catch(err => {
                    console.log(err);
                });
        },
        deleteCurso: function(item) {
            var url = "/api/users/" + item;
            axios
                .delete(url)
                .then(res => {
                    $("#deleteModal" + item).modal("toggle");
                    $(".modal-backdrop").remove();
                    this.get();
                })
                .catch(err => {
                    console.log(err);
                });
        },
        edit(i) {
            console.log(i);
        },
        closeAlert: function() {
            this.error = "";
        },
        createCurso() {
            location.href = "/dashboard/curso/create";
        }
    }
};
</script>
